> For the complete documentation index, see [llms.txt](https://docs.strongdm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.strongdm.com/admin/audit/logs/references/node-start.md).

# Node Logs - Start Event

The "Start" log event type is recorded in the node (gateway or relay) logs.

| Field                  | Type    | Description                                                                                                                                                                    | Example                                                                                               |
| ---------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------- |
| authz                  | Object  | Authorization metadata from the policy evaluation associated with this query; only included for Enterprise organizations that have a policy in place that this event triggered | See the [Policy Info in Logs](/admin/audit/logs/references/authz-logs-object.md) section for details. |
| datasourceId           | Integer | Unique identifier of the resource against which the query was performed                                                                                                        | `12345`                                                                                               |
| datasourceName         | String  | Name of the resource against which the query was performed                                                                                                                     | `"MySQL"`                                                                                             |
| hash                   | String  | Hash of the body of the query                                                                                                                                                  | `"Yzk2MTE4NGNlYjg4ZDQ2Y2RiN2VjMTQyY2I3NDEyNzg3NDBhYTExNA=="`                                          |
| query                  | String  | Query that was executed                                                                                                                                                        | `"select * from users"`                                                                               |
| remoteIdentityUsername | String  | Username of the Identity Alias used to access the resource                                                                                                                     | `"alice"`                                                                                             |
| sourceIp               | String  | IP address the query was performed from; will be an internal address if the gateway is on the same local network or VPN as the client                                          | `"1.11.222.333"`                                                                                      |
| timestamp              | String  | Time of the start event, formatted as datetime                                                                                                                                 | `"2024-08-01T13:13:20.895597162Z"`                                                                    |
| type                   | String  | Type of log entry                                                                                                                                                              | `"start"`                                                                                             |
| userId                 | Integer | Unique identifier of the account that performed the query                                                                                                                      | `"a-0abcdabcdab00000"`                                                                                |
| userName               | Integer | Name of the account that performed the query                                                                                                                                   | `"alice"`                                                                                             |
| uuid                   | String  | Unique identifier of the query                                                                                                                                                 | `"0CEGCEGCEGCEGCEGCEGCE1234ceg"`                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.strongdm.com/admin/audit/logs/references/node-start.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
